## percona-pg-stat-monitor 0.6.0

=== Makefile ===
# contrib/pg_stat_monitor/Makefile

MODULE_big = pg_stat_monitor
OBJS = hash_query.o guc.o pg_stat_monitor.o $(WIN32RES)

EXTENSION = pg_stat_monitor
DATA = pg_stat_monitor--1.0.sql

PGFILEDESC = "pg_stat_monitor - execution statistics of SQL statements"

LDFLAGS_SL += $(filter -lm, $(LIBS)) 

REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf
REGRESS = basic pg_stat_monitor

# Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
# which typical installcheck users do not have (e.g. buildfarm clients).
# NO_INSTALLCHECK = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_stat_monitor
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
percona-pg-stat-monitor (0.6.0-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor12 version 0.6.0

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Tue, 02 Mar 2021 01:44:20 +0000

percona-pg-stat-monitor (0.0.1-1) unstable; urgency=medium

  * Initial build.

 -- Oleksandr Miroshnychenko <alex.miroshnychenko@percona.com>  Thu, 19 Dec 2019 19:20:11 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

export USE_PGXS=1

%:
	dh $@

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here

override_dh_auto_install:
	+pg_buildext install build-%v percona-pg-stat-monitor12

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf results regression.*
	mkdir results

## percona-pg-stat-monitor 0.8.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 LDFLAGS_SL += $(filter -lm, $(LIBS)) 
 
 REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf
-REGRESS = basic pg_stat_monitor
+REGRESS = guc relations basic pg_stat_monitor
 
 # Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
 # which typical installcheck users do not have (e.g. buildfarm clients).

=== debian/changelog ===
percona-pg-stat-monitor (0.8.1-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor11 version 0.8.1

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Fri, 09 Apr 2021 17:19:48 +0000

## percona-pg-stat-monitor 0.9.0

=== debian/changelog ===
percona-pg-stat-monitor (0.9.0-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor12 version 0.9.0

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Thu, 06 May 2021 14:30:45 +0000

## percona-pg-stat-monitor 0.9.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 LDFLAGS_SL += $(filter -lm, $(LIBS)) 
 
-REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf
-REGRESS = guc relations basic pg_stat_monitor
+REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf --inputdir=regression
+REGRESS = basic version guc counters relations database top_query application_name cmd_type error state rows 
 
 # Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
 # which typical installcheck users do not have (e.g. buildfarm clients).

## percona-pg-stat-monitor 1.0.0

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,34 @@
 LDFLAGS_SL += $(filter -lm, $(LIBS)) 
 
 REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf --inputdir=regression
-REGRESS = basic version guc counters relations database top_query application_name cmd_type error state rows 
+REGRESS = basic version guc counters relations database top_query application_name cmd_type error state rows tags
 
 # Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
 # which typical installcheck users do not have (e.g. buildfarm clients).
 # NO_INSTALLCHECK = 1
 
+
+PG_CONFIG = pg_config
+PG_VERSION := $(shell pg_config --version | awk {'print $$1 $$2'})
+MAJOR := $(shell echo $(PG_VERSION) | sed -e 's/\.[^./]*$$//')
+
+ifneq (,$(findstring PostgreSQL14,$(MAJOR)))
+  CP := $(shell cp pg_stat_monitor--1.0.14.sql.in pg_stat_monitor--1.0.sql)
+endif
+
+ifneq (,$(findstring PostgreSQL13,$(MAJOR)))
+  CP := $(shell cp pg_stat_monitor--1.0.13.sql.in pg_stat_monitor--1.0.sql)
+endif
+
+ifneq (,$(findstring PostgreSQL12,$(MAJOR)))
+  CP := $(shell cp pg_stat_monitor--1.0.sql.in pg_stat_monitor--1.0.sql)
+endif
+
+ifneq (,$(findstring PostgreSQL11,$(MAJOR)))
+  CP := $(shell cp pg_stat_monitor--1.0.sql.in pg_stat_monitor--1.0.sql)
+endif
+
 ifdef USE_PGXS
-PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else

=== debian/changelog ===
percona-pg-stat-monitor (1.0.0-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor13 version 1.0.0

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Thu, 18 Nov 2021 23:18:42 +0000

=== debian/control ===
Source: percona-pg-stat-monitor
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 percona-postgresql-server-dev-all (>= 153~),

Package: percona-pg-stat-monitor14
Architecture: any
Depends:
 percona-postgresql-14 | postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Description: The pg_stat_monitor is statistics collector tool
 based on PostgreSQL's contrib module "pg_stat_statements".
 .
 pg_stat_monitor is developed on the basis of pg_stat_statments
 as more advanced replacement for pg_stat_statment.
 It provides all the features of pg_stat_statment plus its own feature set.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	# nothing to do here
 
 override_dh_auto_install:
-	+pg_buildext install build-%v percona-pg-stat-monitor12
+	+pg_buildext install build-%v percona-pg-stat-monitor13
 
 override_dh_installdocs:
 	dh_installdocs --all README.*

## percona-pg-stat-monitor 1.0.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 LDFLAGS_SL += $(filter -lm, $(LIBS)) 
 
 REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf --inputdir=regression
-REGRESS = basic version guc counters relations database top_query application_name cmd_type error state rows tags
+REGRESS = basic version guc counters relations database error_insert application_name application_name_unique top_query cmd_type error rows tags histogram
 
 # Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
 # which typical installcheck users do not have (e.g. buildfarm clients).
@@ -23,19 +23,41 @@
 MAJOR := $(shell echo $(PG_VERSION) | sed -e 's/\.[^./]*$$//')
 
 ifneq (,$(findstring PostgreSQL14,$(MAJOR)))
-  CP := $(shell cp pg_stat_monitor--1.0.14.sql.in pg_stat_monitor--1.0.sql)
+  ifneq (,$(wildcard ../pg_stat_monitor--1.0.14.sql.in))
+    CP := $(shell cp ../pg_stat_monitor--1.0.14.sql.in ../pg_stat_monitor--1.0.sql)
+  endif
+  ifneq (,$(wildcard pg_stat_monitor--1.0.14.sql.in))
+    CP := $(shell cp pg_stat_monitor--1.0.14.sql.in pg_stat_monitor--1.0.sql)
+  endif
+  TAP_TESTS = 1
 endif
 
 ifneq (,$(findstring PostgreSQL13,$(MAJOR)))
-  CP := $(shell cp pg_stat_monitor--1.0.13.sql.in pg_stat_monitor--1.0.sql)
+  ifneq (,$(wildcard ../pg_stat_monitor--1.0.13.sql.in))
+    CP := $(shell cp ../pg_stat_monitor--1.0.13.sql.in ../pg_stat_monitor--1.0.sql)
+  endif
+  ifneq (,$(wildcard pg_stat_monitor--1.0.13.sql.in))
+    CP := $(shell cp pg_stat_monitor--1.0.13.sql.in pg_stat_monitor--1.0.sql)
+  endif
+  TAP_TESTS = 1
 endif
 
 ifneq (,$(findstring PostgreSQL12,$(MAJOR)))
-  CP := $(shell cp pg_stat_monitor--1.0.sql.in pg_stat_monitor--1.0.sql)
+  ifneq (,$(wildcard ../pg_stat_monitor--1.0.sql.in))
+    CP := $(shell cp ../pg_stat_monitor--1.0.sql.in ../pg_stat_monitor--1.0.sql)
+  endif
+  ifneq (,$(wildcard pg_stat_monitor--1.0.sql.in))
+    CP := $(shell cp pg_stat_monitor--1.0.sql.in pg_stat_monitor--1.0.sql)
+  endif
 endif
 
 ifneq (,$(findstring PostgreSQL11,$(MAJOR)))
-  CP := $(shell cp pg_stat_monitor--1.0.sql.in pg_stat_monitor--1.0.sql)
+  ifneq (,$(wildcard ../pg_stat_monitor--1.0.sql.in))
+    CP := $(shell cp ../pg_stat_monitor--1.0.sql.in ../pg_stat_monitor--1.0.sql)
+  endif
+  ifneq (,$(wildcard pg_stat_monitor--1.0.sql.in))
+    CP := $(shell cp pg_stat_monitor--1.0.sql.in pg_stat_monitor--1.0.sql)
+  endif
 endif
 
 ifdef USE_PGXS

=== debian/changelog ===
percona-pg-stat-monitor (1.0.1-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor14 version 1.0.1

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Thu, 26 May 2022 10:54:17 +0000

=== debian/control ===
Source: percona-pg-stat-monitor
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~) | percona-postgresql-server-dev-all (>= 153~),

Package: percona-pg-stat-monitor12
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: enhancement query planning and execution statistics collector
 The pg_stat_monitor is a Query Performance Monitoring tool for PostgreSQL.
 It attempts to provide a more holistic picture by providing much-needed query
 performance insights in a single view.
 .
 pg_stat_monitor provides improved insights that allow database users to
 understand query origins, execution, planning statistics and details, query
 information, and metadata. This significantly improves observability, enabling
 users to debug and tune query performance. pg_stat_monitor is developed on the
 basis of pg_stat_statements as its more advanced replacement.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

export USE_PGXS=1

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_build:
	+pg_buildext clean . build-%v
	+pg_buildext build . build-%v

override_dh_auto_test:
	# nothing to do here

override_dh_auto_install:
	+pg_buildext install . build-%v percona-pg-stat-monitor11

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	rm -rf results/* regression.*

## percona-pg-stat-monitor 1.1.0

=== Makefile ===
# contrib/pg_stat_monitor/Makefile

MODULE_big = pg_stat_monitor
OBJS = hash_query.o guc.o pg_stat_monitor.o $(WIN32RES)

EXTENSION = pg_stat_monitor
DATA = pg_stat_monitor--1.0.sql

PGFILEDESC = "pg_stat_monitor - execution statistics of SQL statements"

LDFLAGS_SL += $(filter -lm, $(LIBS)) 

TAP_TESTS = 1
REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf --inputdir=regression
REGRESS = basic version guc counters relations database error_insert application_name application_name_unique top_query cmd_type error rows tags histogram

# Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
# which typical installcheck users do not have (e.g. buildfarm clients).
# NO_INSTALLCHECK = 1

PG_CONFIG = pg_config
PGSM_INPUT_SQL_VERSION := 1.0

ifdef USE_PGXS
MAJORVERSION := $(shell pg_config --version | awk {'print $$2'} | cut -f1 -d".")
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_stat_monitor
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq ($(shell test $(MAJORVERSION) -gt 12; echo $$?),0)
PGSM_INPUT_SQL_VERSION := ${PGSM_INPUT_SQL_VERSION}.${MAJORVERSION}
endif

$(info Using pg_stat_monitor--${PGSM_INPUT_SQL_VERSION}.sql.in file to generate sql filea.)

ifneq (,$(wildcard ../pg_stat_monitor--${PGSM_INPUT_SQL_VERSION}.sql.in))
  CP := $(shell cp -v ../pg_stat_monitor--${PGSM_INPUT_SQL_VERSION}.sql.in ../pg_stat_monitor--1.0.sql)
endif
ifneq (,$(wildcard pg_stat_monitor--${PGSM_INPUT_SQL_VERSION}.sql.in))
  CP := $(shell cp -v pg_stat_monitor--${PGSM_INPUT_SQL_VERSION}.sql.in pg_stat_monitor--1.0.sql)
endif

clean:
	rm -rf ${DATA}
	rm -rf t/results

=== debian/changelog ===
percona-pg-stat-monitor (1.1.0-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor14 version 1.1.0

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Thu, 01 Sep 2022 21:14:26 +0000

## percona-pg-stat-monitor 1.1.1

=== debian/changelog ===
percona-pg-stat-monitor (1.1.1-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor15 version 1.1.1

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Mon, 17 Oct 2022 09:25:34 +0000

## percona-pg-stat-monitor 2.0.1

=== Makefile ===
# contrib/pg_stat_monitor/Makefile

MODULE_big = pg_stat_monitor
OBJS = hash_query.o guc.o pg_stat_monitor.o $(WIN32RES)

EXTENSION = pg_stat_monitor
DATA = pg_stat_monitor--2.0.sql pg_stat_monitor--1.0--2.0.sql

PGFILEDESC = "pg_stat_monitor - execution statistics of SQL statements"

LDFLAGS_SL += $(filter -lm, $(LIBS)) 

TAP_TESTS = 1
REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf --inputdir=regression
REGRESS = basic version guc pgsm_query_id functions counters relations database error_insert application_name application_name_unique top_query cmd_type error rows tags user

# Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
# which typical installcheck users do not have (e.g. buildfarm clients).
# NO_INSTALLCHECK = 1

PG_CONFIG ?= pg_config

ifdef USE_PGXS
MAJORVERSION := $(shell pg_config --version | awk {'print $$2'} | cut -f1 -d".")
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_stat_monitor
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
percona-pg-stat-monitor (2.0.1-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor11 version 2.0.1

 -- ubuntu-cloud-user <alex.miroshnychenko@percona.com>  Wed, 17 May 2023 15:33:35 +0000

## percona-pg-stat-monitor 2.0.2

=== debian/changelog ===
percona-pg-stat-monitor (2.0.2-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor16 version 2.0.2

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-10892>  Wed, 13 Sep 2023 20:16:23 +0000

## percona-pg-stat-monitor 2.0.3

=== debian/changelog ===
percona-pg-stat-monitor (2.0.3-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor13 version 2.0.3

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-13296>  Fri, 24 Nov 2023 12:36:54 +0000

## percona-pg-stat-monitor 2.0.4

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 PG_CONFIG ?= pg_config
 
 ifdef USE_PGXS
-MAJORVERSION := $(shell pg_config --version | awk {'print $$2'} | cut -f1 -d".")
+MAJORVERSION := $(shell $(PG_CONFIG) --version | awk {'print $$2'} | cut -f1 -d".")
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else

=== debian/changelog ===
percona-pg-stat-monitor (2.0.4-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor16 version 2.0.4

 -- Ubuntu <ubuntu@ip-10-199-1-144.eu-west-1.compute.internal>  Thu, 09 May 2024 15:10:25 +0000

## percona-pg-stat-monitor 2.1.0

=== debian/changelog ===
percona-pg-stat-monitor (2.1.0-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor14 version 2.1.0

 -- root <root@a5180a00ec47>  Sun, 01 Dec 2024 14:31:04 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~) | percona-postgresql-server-dev-all (>= 153~),
 
-Package: percona-pg-stat-monitor12
+Package: percona-pg-stat-monitor15
 Architecture: any
 Depends:
- postgresql-12,
+ postgresql-15,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: enhancement query planning and execution statistics collector

## percona-pg-stat-monitor 2.1.1

=== debian/changelog ===
percona-pg-stat-monitor (2.1.1-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor14 version 2.1.1

 -- root <root@67a973b6d454>  Mon, 24 Feb 2025 10:34:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~) | percona-postgresql-server-dev-all (>= 153~),
 
-Package: percona-pg-stat-monitor15
+Package: percona-pg-stat-monitor13
 Architecture: any
 Depends:
- postgresql-15,
+ postgresql-13,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: enhancement query planning and execution statistics collector

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	# nothing to do here
 
 override_dh_auto_install:
-	+pg_buildext install . build-%v percona-pg-stat-monitor11
+	+pg_buildext install . build-%v percona-pg-stat-monitor13
 
 override_dh_installdocs:
 	dh_installdocs --all README.*

## percona-pg-stat-monitor 2.2.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS = hash_query.o guc.o pg_stat_monitor.o $(WIN32RES)
 
 EXTENSION = pg_stat_monitor
-DATA = pg_stat_monitor--2.0.sql pg_stat_monitor--1.0--2.0.sql
+DATA = pg_stat_monitor--2.0.sql pg_stat_monitor--1.0--2.0.sql pg_stat_monitor--2.0--2.1.sql pg_stat_monitor--2.1--2.2.sql
 
 PGFILEDESC = "pg_stat_monitor - execution statistics of SQL statements"
 
@@ -12,7 +12,26 @@
 
 TAP_TESTS = 1
 REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_monitor/pg_stat_monitor.conf --inputdir=regression
-REGRESS = basic version guc pgsm_query_id functions counters relations database error_insert application_name application_name_unique top_query cmd_type error rows tags user
+REGRESS = basic \
+	version \
+	guc \
+	pgsm_query_id \
+	functions \
+	counters \
+	relations \
+	database \
+	error_insert \
+	application_name \
+	application_name_unique \
+	top_query \
+	different_parent_queries \
+	cmd_type \
+	error \
+	rows \
+	tags \
+	user \
+	level_tracking \
+	decode_error_level
 
 # Disabled because these tests require "shared_preload_libraries=pg_stat_statements",
 # which typical installcheck users do not have (e.g. buildfarm clients).
@@ -30,3 +49,14 @@
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
+
+# Fetches typedefs list for PostgreSQL core and merges it with typedefs defined in this project.
+# https://wiki.postgresql.org/wiki/Running_pgindent_on_non-core_code_or_development_code
+update-typedefs:
+	wget -q -O - "https://buildfarm.postgresql.org/cgi-bin/typedefs.pl?branch=REL_17_STABLE" | cat - typedefs.list | sort | uniq > typedefs-full.list
+
+# Indents projects sources.
+indent:
+	pgindent --typedefs=typedefs-full.list .
+
+.PHONY: update-typedefs indent

=== debian/changelog ===
percona-pg-stat-monitor (2.2.0-1) unstable; urgency=medium

  * Update to new percona-pg-stat-monitor14 version 2.2.0

 -- root <root@5334c8ecdec8>  Thu, 21 Aug 2025 06:35:39 +0000
